# class Sass::Source::Range

### Attributes

end_pos[RW]

The ending position of the range in the document (exclusive).

@return [Sass::Source::Position]

file[RW]

The file in which this source range appears. This can be nil if the file is unknown or not yet generated.

@return [String]

importer[RW]

The importer that imported the file in which this source range appears. This is nil for target ranges.

@return [Sass::Importers::Base]

start_pos[RW]

The starting position of the range in the document (inclusive).

@return [Sass::Source::Position]

### Public Class Methods

new(start_pos, end_pos, file, importer = nil) click to toggle source

@param #start_pos [Sass::Source::Position] See {#start_pos} @param #end_pos [Sass::Source::Position] See {#end_pos} @param file [String] See {#file} @param importer [Sass::Importers::Base] See {#importer}

    # File lib/sass/source/range.rb, line 29
    def initialize(start_pos, end_pos, file, importer = nil)
      @start_pos = start_pos
      @end_pos = end_pos
      @file = file
      @importer = importer
    end

### Public Instance Methods

inspect() click to toggle source

@return [String] A string representation of the source range.

    # File lib/sass/source/range.rb, line 37
    def inspect
      "(#{start_pos.inspect} to #{end_pos.inspect}#{" in #{@file}" if @file})"
    end